Skip to main content
`Ctrl`+`K`

# VecSetDM

Sets the `DM` defining the data layout of the vector.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode VecSetDM(Vec v, DM dm)

Not Collective

## Input Parameters

- v - The `Vec`

- dm - The `DM`

## Notes

This is rarely used, generally one uses `DMGetLocalVector()` or `DMGetGlobalVector()` to create a vector associated with a given `DM`

This is NOT the same as `DMCreateGlobalVector()` since it does not change the view methods or perform other customization, but merely sets the `DM` member.

## See Also

DM Basics, `DM`, `VecGetDM()`, `DMGetLocalVector()`, `DMGetGlobalVector()`, `DMSetVecType()`

## Level

developer

## Location

src/dm/interface/dm.c

## Examples

src/ksp/ksp/tutorials/ex65.c
src/ts/tutorials/ex30.c
src/ksp/ksp/tutorials/ex43.c
src/ksp/ksp/tutorials/ex73.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages